org.apache.lucene.codecs.lucene40

## Class Lucene40RWDocValuesFormat

- java.lang.Object
- - org.apache.lucene.codecs.DocValuesFormat
  - - org.apache.lucene.codecs.lucene40.Lucene40DocValuesFormat
    - - org.apache.lucene.codecs.lucene40.Lucene40RWDocValuesFormat

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI

      public class Lucene40RWDocValuesFormat
      extends Lucene40DocValuesFormat

  Read-write version of `Lucene40DocValuesFormat` for testing

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene40RWDocValuesFormat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocValuesConsumer` | `fieldsConsumer(SegmentWriteState state)`

    - ### Methods inherited from class org.apache.lucene.codecs.lucene40.Lucene40DocValuesFormat

      `fieldsProducer`

    - ### Methods inherited from class org.apache.lucene.codecs.DocValuesFormat

      `availableDocValuesFormats, forName, getName, reloadDocValuesFormats, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene40RWDocValuesFormat

          public Lucene40RWDocValuesFormat()

  - ### Method Detail

    - #### fieldsConsumer

          public DocValuesConsumer fieldsConsumer(SegmentWriteState state)
                                           throws IOException

      Overrides:
        `fieldsConsumer` in class `Lucene40DocValuesFormat`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.